﻿//**************************************************************************//
// Copyright (C) Abdul Rasheed. All rights Reserved.                        //
// rasheedat.blogspot.com                                                   //
//**************************************************************************//
using System;
using System.Collections.Generic;
using System.Text;

namespace PPHR.Common
{
    /// <summary>
    /// Data class used to generate report
    /// </summary>
    [System.Serializable]
    public class VisitReportData
    {
        private DateTime startDate;
        private DateTime endDate;
        private string drName = string.Empty;
        private string facilityName= string.Empty;
        private string visitType = string.Empty;

        /// <summary>
        /// Visit Start Date
        /// </summary>
        public DateTime? StartDate
        {
            get { return startDate; }
            set { startDate = value.Value; }
        }

        /// <summary>
        /// Visit End date
        /// </summary>
        public DateTime? EndDate
        {
            get { return endDate; }
            set { endDate = value.Value; }
        }

        /// <summary>
        /// Consultant / Doctor name
        /// </summary>
        public string DrName
        {
            get { return drName; }
            set { drName = value; }
        }

        /// <summary>
        /// Hospital or clinic name
        /// </summary>
        public string FacilityName
        {
            get { return facilityName; }
            set { facilityName = value; }
        }

        /// <summary>
        /// Visit type
        /// </summary>
        public string VisitType
        {
            get { return visitType; }
            set { visitType = value; }
        }
    }
}
